## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EcoreEditPartFactory

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.edit.parts.EcoreEditPartFactory

All Implemented Interfaces:
  org.eclipse.gef.EditPartFactory

    public class EcoreEditPartFactory

extends java.lang.Object
implements org.eclipse.gef.EditPartFactory

Constructor Summary
`EcoreEditPartFactory()`

Method Summary
`org.eclipse.gef.EditPart` `createEditPart(org.eclipse.gef.EditPart context, java.lang.Object model)`
`static org.eclipse.gef.tools.CellEditorLocator` `getTextCellEditorLocator(org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreEditPartFactory

    public EcoreEditPartFactory()

Method Detail

### createEditPart

    public org.eclipse.gef.EditPart createEditPart(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

  Specified by:
    `createEditPart` in interface `org.eclipse.gef.EditPartFactory`

### getTextCellEditorLocator

    public static org.eclipse.gef.tools.CellEditorLocator getTextCellEditorLocator(org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart source)

Copyright 2007 Anyware Technologies. All Rights Reserved.